Bullet Collision Detection & Physics Library: btTypedConstraintFloatData Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Attributes | List of all members
btTypedConstraintFloatData Struct Reference

do not change those serialization structures, it requires an updated sBulletDNAstr/sBulletDNAstr64 More...

`#include <btTypedConstraint.h>`

Collaboration diagram for btTypedConstraintFloatData:
[legend]

## Public Attributes
btRigidBodyFloatData * | m_rbA
btRigidBodyFloatData * | m_rbB
char * | m_name
int | m_objectType
int | m_userConstraintType
int | m_userConstraintId
int | m_needsFeedback
float | m_appliedImpulse
float | m_dbgDrawSize
int | m_disableCollisionsBetweenLinkedBodies
int | m_overrideNumSolverIterations
float | m_breakingImpulseThreshold
int | m_isEnabled

## Detailed Description

do not change those serialization structures, it requires an updated sBulletDNAstr/sBulletDNAstr64

Definition at line 358 of file btTypedConstraint.h.

## Member Data Documentation

## ◆ m_appliedImpulse

float btTypedConstraintFloatData::m_appliedImpulse

Definition at line 369 of file btTypedConstraint.h.

## ◆ m_breakingImpulseThreshold

float btTypedConstraintFloatData::m_breakingImpulseThreshold

Definition at line 375 of file btTypedConstraint.h.

## ◆ m_dbgDrawSize

float btTypedConstraintFloatData::m_dbgDrawSize

Definition at line 370 of file btTypedConstraint.h.

## ◆ m_disableCollisionsBetweenLinkedBodies

int btTypedConstraintFloatData::m_disableCollisionsBetweenLinkedBodies

Definition at line 372 of file btTypedConstraint.h.

## ◆ m_isEnabled

int btTypedConstraintFloatData::m_isEnabled

Definition at line 376 of file btTypedConstraint.h.

## ◆ m_name

char* btTypedConstraintFloatData::m_name

Definition at line 362 of file btTypedConstraint.h.

## ◆ m_needsFeedback

int btTypedConstraintFloatData::m_needsFeedback

Definition at line 367 of file btTypedConstraint.h.

## ◆ m_objectType

int btTypedConstraintFloatData::m_objectType

Definition at line 364 of file btTypedConstraint.h.

## ◆ m_overrideNumSolverIterations

int btTypedConstraintFloatData::m_overrideNumSolverIterations

Definition at line 373 of file btTypedConstraint.h.

## ◆ m_rbA

btRigidBodyFloatData* btTypedConstraintFloatData::m_rbA

Definition at line 360 of file btTypedConstraint.h.

## ◆ m_rbB

btRigidBodyFloatData* btTypedConstraintFloatData::m_rbB

Definition at line 361 of file btTypedConstraint.h.

## ◆ m_userConstraintId

int btTypedConstraintFloatData::m_userConstraintId

Definition at line 366 of file btTypedConstraint.h.

## ◆ m_userConstraintType

int btTypedConstraintFloatData::m_userConstraintType

Definition at line 365 of file btTypedConstraint.h.

The documentation for this struct was generated from the following file:

- btTypedConstraint.h